# Podcast Art Generator

Modernizing the No Agenda Art Generator.

Since 2010, the [No Agenda Art Generator](https://noagendaartgenerator.com) has been producing album art for the [No Agenda Podcast](https://noagendashow.net) live via community collaboration by the artists that make up the best podcast art creators in the universe.

In October 2014, the 2.0 release of the Art Generator began based on Laravel 4.2. It has served the podcast and community well, but this project seeks to make it easier for collaborators to contribute, modify, and maintain the art generator while making the product available to more podcasts and artists.

### License

The Podcast Art Generator is open-sourced software licensed under the [MIT license](https://opensource.org/licenses/MIT).

### Contibuted Artwork License

Artworks submitted by artists to the Podcast Art Generator are licensed under a Creative Commons License.

By submitting artwork, you are acknowledging you have the right to publish the work and are, by submitting the work, agreeing to place it under the [Creative Commons Attribution-Share Alike 3.0, United States License](http://creativecommons.org/licenses/by-sa/3.0/us/).

#### Copyright

##### Copyright © 2010-2023, Paul Couture, Some Rights Reserved.

---
---

### Built Using:

### Laravel

Laravel is a web application framework with expressive, elegant syntax. We believe development must be an enjoyable and creative experience to be truly fulfilling. Laravel takes the pain out of development by easing common tasks used in many web projects, such as:

- [Simple, fast routing engine](https://laravel.com/docs/routing).
- [Powerful dependency injection container](https://laravel.com/docs/container).
- Multiple back-ends for [session](https://laravel.com/docs/session) and [cache](https://laravel.com/docs/cache) storage.
- Expressive, intuitive [database ORM](https://laravel.com/docs/eloquent).
- Database agnostic [schema migrations](https://laravel.com/docs/migrations).
- [Robust background job processing](https://laravel.com/docs/queues).
- [Real-time event broadcasting](https://laravel.com/docs/broadcasting).

### Laravel License

The Laravel framework is open-sourced software licensed under the [MIT license](https://opensource.org/licenses/MIT).

