<?php

namespace Database\Factories;

use App\Models\Artist;
use App\Models\User;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Facades\Str;

class ArtistFactory extends Factory
{
    /**
     * The name of the factory's corresponding model
     *
     * @var string
     */
    protected $model = Artist::class;

    /**
     * Define the model's default state.
     *
     * @return array
     */
    public function definition()
    {
        $name = fake()->name();
        $slug = Str::slug(strtolower(trim($name)));
        return [
            'user_id' => User::factory(),
            'name' => $name,
            'slug' => $slug,
            'avatar' => fake()->imageUrl(512, 512),
            'header' => fake()->imageUrl(270, 185),
            'location' => fake()->city() . ', ' . fake()->state(),
            'alby' => null,
            'naasocial' => null,
            'website' => rand(0, 1) ? fake()->url : null,
            'bio' => fake()->paragraphs(rand(1, 3), true),
        ];
    }
}
