<x-guest-layout>
        <div class="row mt-4 gutter-0">
            <div class="col">
                <div class="signin-content">
                    <div class="mb-6">
                        <h2 class="mb-2">Sign in with your existing account</h2>
                        <p class="normal">Welcome back! Please enter your credentials to sign in.</p>
                        <p class="normal">If you haven't logged in with your existing account since the upgrade, you need to reset your password using the forgot password link below.</p>
                    </div>
                </div>
            </div>
        </div>
    {{-- Session Status --}}
    <x-auth-session-status class="mb-4" :status="session('status')" />
    <form method="POST" action="{{ route('login') }}">
        @csrf
        {{-- Email Address --}}
        <div>
            <x-input-label for="login" :value="__('Email or Username')" />
            <x-text-input id="login" class="block mt-1 w-full" type="text" name="login" :value="old('login')" required autofocus autocomplete="username" />
            <x-input-error :messages="$errors->get('login')" class="mt-2" />
        </div>
        {{-- Password --}}
        <div class="mt-4">
            <x-input-label for="password" :value="__('Password')" />
            <x-text-input id="password" class="block mt-1 w-full"
                type="password"
                name="password"
                required autocomplete="current-password" />
            <x-input-error :messages="$errors->get('password')" class="mt-2" />
        </div>
        {{-- Remember Me --}}
        <div class="block mt-4 form-check">
            <input id="remember_me" type="checkbox" class="form-check-input" name="remember">
            <label for="remember_me" class="form-check-label">
                {{ __('Remember me') }}
            </label>
        </div>
        <div class="d-flex justify-content-end mt-4 mb-4 text-end">
            @if (Route::has('password.request'))
                <a class="" href="{{ route('password.request') }}">
                    {{ __('Forgot your password?') }}
                </a>
            @endif
            <x-primary-button class="ml-3 btn btn-gradient" style="background:#ff512f;">
                <span>{{ __('Log in') }}</span>
            </x-primary-button>
        </div>
    </form>
    <hr class="mb-4">
    <div class="">
        Not registered yet? <a href="/register" class="">Register Now</a>
    </div>
</x-guest-layout>
