@extends('layouts.master')

@section('page-title', $artist->name)

@section('meta_description', 'Artist profile page on the No Agenda Art Generator for ' . $artist->name)

@section('meta_og_img', $artworks->first() ? config('app.static_asset_url') . '/thumbnails/' . $artworks->first()->filename : config('app.static_asset_url') . '/v3/dist/naartgen-x-og-header.png')

@section('page-top')
<section class="inner-page-banner bg-2 bg-image">
    <div class="container">
        <div class="inner text-center">
            <h1 class="title">{{ $artist->name }}</h1>
            <nav class="mt-4">
                <ol class="breadcrumb justify-content-center">
                    <li class="breadcrumb-item"><a href="/">Home</a></li>
                    <li class="breadcrumb-item"><a href="/artists">Artists</a></li>
                    <li class="breadcrumb-item active">Artist</li>
                </ol>
            </nav>
        </div>
    </div>
</section>
@endsection
@section('page-content')
<section class="pt-120 pb-90">
    <div class="container">
        <div class="row">
            {{ $artworks->links() }}
        </div>
    </div>
    <div class="container">
        <div class="row">
            <div class="col-xxl-3 col-xl-4 col-lg-4 mb-6">
                @include('profile.partials.single-artist-card')
            </div>
            {{-- end bio sidebar --}}
            <div class="col-xxl-9 col-xl-8 col-lg-8">
                <div class="container">
                    <div class="row content-justify-center">
                        @foreach ($artworks as $artwork)
                            @php
                                $thisArtwork = $artwork;
                                $thisPodcast = $artwork->podcast;
                                $thisEpisode = $artwork->episode;
                            @endphp
                            <div class="col-xxl-4 col-xl-6 col-lg-6 col-md-6 col-sm-12 col-xs-12 mb-5">
                                @include('artworks.card')
                            </div>
                        @endforeach
                    </div>
                </div>
            </div>
            {{-- end artist content --}}
        </div>
    </div>
    <div class="container">
        <div class="row">
            {{ $artworks->links() }}
        </div>
    </div>
</section>
@endsection
