@if ($paginator->hasPages())
    <nav role="navigation" aria-label="{{ __('Pagination Navigation') }}" class="flex items-center text-center -space-x-px h-8 text-sm artworks-nav">
        <div class="hidden sm:flex-1 sm:flex sm:items-center sm:justify-between">
            <div>
                <p class="text-sm text-gray-700 leading-5">
                    {!! __('Showing') !!}
                    @if ($paginator->firstItem())
                        <span class="font-small">{{ $paginator->firstItem() }}</span>
                        {!! __('to') !!}
                        <span class="font-small">{{ $paginator->lastItem() }}</span>
                    @else
                        {{ $paginator->count() }}
                    @endif
                    {!! __('of') !!}
                    <span class="font-small">{{ number_format($paginator->total()) }}</span>
                    {!! __('results') !!}
                </p>
            </div>
        </div>
        <div class="flex justify-between flex-1 sm:hidden">
            @if (!$paginator->onFirstPage())
                <a href="{{ $paginator->previousPageUrl() }}" class="btn btn-gradient btn-xs">
                    {{--<span>{!! __('pagination.previous') !!}</span>--}}
                    <span>«</span>
                </a>
            @endif
            @foreach ($elements as $element)
                {{-- "Three Dots" Separator --}}
                @if (is_string($element))
                    <span aria-disabled="true">
                        <span class="btn btn-outline btn-xs mx-1"><span>{{ $element }}</span></span>
                    </span>
                @endif
                {{-- Array Of Links --}}
                @if (is_array($element))
                    @foreach ($element as $page => $url)
                        @if ($page == $paginator->currentPage())
                            <span aria-current="page">
                                <span class="btn btn-gradient btn-xs mx-1"><span>{{ number_format($page) }}</span></span>
                            </span>
                        @else
                            <a href="{{ $url }}" class="btn btn-outline btn-xs mx-1" aria-label="{{ __('Go to page :page', ['page' => number_format($page)]) }}">
                                <span>{{ number_format($page) }}</span>
                            </a>
                        @endif
                    @endforeach
                @endif
            @endforeach
            @if ($paginator->hasMorePages())
                <a href="{{ $paginator->nextPageUrl() }}" class="btn btn-gradient btn-xs">
                    {{--<span>{!! __('pagination.next') !!}</span>--}}
                    <span>»</span>
                </a>
            @endif
        </div>
    </nav>
@endif
